import 'package:flutter/material.dart';
import 'package:sdk_example/screens/transaction_screens/transactions_screen.dart';
import 'package:sdk_example/screens/wallet_screens/wallets_screen.dart';

class HomeScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Feature specific examples'),
      ),
      body: ListView(
        children: [
          ListTile(
            onTap: () => Navigator.of(context)
                .push(MaterialPageRoute(builder: (context) => WalletsScreen())),
            contentPadding: EdgeInsets.symmetric(horizontal: 30.0),
            title: Text('Wallet Feature'),
          ),
          ListTile(
            onTap: () => Navigator.of(context).push(
                MaterialPageRoute(builder: (context) => TransactionsScreen())),
            contentPadding: EdgeInsets.symmetric(horizontal: 30.0),
            title: Text('Transaction Feature'),
          ),
        ],
      ),
    );
  }
}
