class M4eNetworkProviderType {
  final String _type;

  const M4eNetworkProviderType._(this._type);

  // TODO: Add more network provider types
  static const MTN = M4eNetworkProviderType._('MTN');

  static M4eNetworkProviderType parse(String type) {
    return M4eNetworkProviderType._(type);
  }

  @override
  operator ==(cmp) => (cmp is M4eNetworkProviderType) && cmp._type == _type;

  @override
  int get hashCode => _type.hashCode;

  @override
  String toString() => _type;
}
