## [0.0.1]

* Implemented phone number authentication and OTP verification
* Implemented minimal wallet and transaction features
* Generated documentation

## [0.0.2]

* Breaking Change
* Fixed bug with generating authentication otp verification appropriate challenge authorization header
* General refactoring with naming conventions [All models and services are prefixed with `M4e`]
* Re-generated documentation

## [0.0.3-dev.1]

* Breaking Change
* Implemented signout feature
* Fixed bug with serializing authentication token

## [0.0.3-dev.2]

* Breaking Change
* Renamed UniqueId and UnitImpl classes to M4eUniqueId and VoidImpl respectively

## [0.0.3-dev.3]

* Breaking Change
* Implemented m4e user service
* SLight refactoring with auth-phone-number form and auth-otp-verification form 

## [0.0.3-dev.4]

* Exposed auth credential methods

## [0.0.3-dev.5]

* Fix bugs related to sdk-config
* Completed m4e user registration feature
* Slight refactor on entities forms and services

## [0.0.3-dev.6]

* [TODO] Implement m4e user wallets based on entity-wallet-permissions
* Implemented creating m4e wallet using [M4eWalletForm]
* Slight refactor on m4e wallet service

## [0.0.3-dev.7]

* Fixed a bug with creating wallet

## [0.0.3-dev.8]

* Breaking change
* Added [NOT_FOUND] exception code
* Refactored exceptions
* M4e user serialization fix

## [0.0.3-dev.9]

* Fix issues with [NOT_FOUND] exception code

## [0.0.3-dev.10]

* Implemented phone number querying for user

## [0.0.3-dev.11]

* Breaking change in wallet feature
* Implemented m4e-permissions
* implemented entity-wallet permissions on wallet creation.

## [0.0.3-dev.12]

* Fixed bugs with m4e-wallet serialization

## [0.0.3-dev.13]

* Breaking changes with [WalletService] `getWallets` method
* Implemented feature to get other user wallets with appropriate permissions

## [0.0.3-dev.14]

* Fix bug with encoding wallet-search form map object to json
* Fix bug with [M4eWalletList] serialization

## [0.0.3-dev.15]

* Breaking change in [M4eWalletService]
* Refactored [M4eWalletService] `getWallets` to accept [M4ePhoneNumber]

## [0.0.3]

* Implemented [M4eTransactionService] initiate-transaction feature
* Implemented [M4eTransactionService] get-user-transactions feature
* Implemented [M4eTransactionService] get-wallet-transactions feature

## [0.0.4-dev.1]

* Fix few bugs with [TransactionService]
* Mild refactoring to use [M4eCurrencyType] where applicable `BugFix`

## [0.0.4-dev.2]

* Fix few bugs with [M4eTransactionForm] transaction-type
* Mild refactor and cleanup
* Modified [M4eTransactionMeta] type to [Map] to ensure dynamic structure to the meta object

## [0.0.4-dev.3]

* Implemented wallet balance feature

## [0.0.4-dev.4]

* Fix bug with serializing wallet balance

## [0.0.4-dev.5]

* Refactored and tightened exception handling to properly propagate

## [0.0.4-dev.6]

* Renamed [UnitImpl] to [M4eUnitImpl] to suit adopted naming convention

## [0.0.4-dev.7]

* Breaking change with [M4eTransactionService], [M4eWallet] model and [M4eWalletForm] required parameters
* Initiated wallet-detail-type incorporated into [M4eWallet] and [M4eWalletForm] types
* Implemented wallet-wrapper feature on phone number related transactions

## [0.0.4-dev.8]

* Updated to revised structure and format for [M4eWalletForm]

## [0.0.4-dev.9]

* Updated server call to create wallets

## [0.0.4-dev.10]

* Redesigned m4e-transaction workflow to incorporate mobile-money related transactions
* Created example project for implemented m4e-sdk features. These include
    * Authentication,
    * User,
    * Wallet,
    * Transaction,

## [0.0.4-dev.11]

* Implemented support for extension (as extension classes) on m4e-forms

## [0.0.4-dev.12]

* Implemented support for extension (as extension classes) on m4e-models

## [0.0.4-dev.13]

* Implemented m4e-transaction workflow to support making phone number related transactions (transfers with user phone number)