// import 'package:data_connection_checker/data_connection_checker.dart';

// import '../../m4e_sdk_initialize.dart';
// import '../api/apis.dart';
// import '../../m4e_forms/m4e_forms.dart';
// import '../../core/core.dart';

// /// Exposes SDK Permission Api methods
// ///
// /// Accessing the instantiated `M4ePermissionService` methods
// /// is done by:
// ///
// /// ```
// /// final _permissionService = M4ePermissionService();
// ///
// /// final _isAuthenticated = await _permissionService.setPermission(M4ePermissionForm permissionForm);
// /// ```
// ///
// class M4ePermissionService {
//   final PermissionApi _permissionApi;
//   final DataConnectionChecker _connectionChecker;

//   M4ePermissionService({
//     PermissionApi permissionApi,
//     DataConnectionChecker connectionChecker,
//   })  : _permissionApi = permissionApi ?? m4eSDK<AuthApi>(),
//         _connectionChecker =
//             connectionChecker ?? m4eSDK<DataConnectionChecker>();

//   /// Sets permissions of a subject on an object
//   ///
//   /// Throws [ServerException] if call to server fails
//   ///
//   /// Throws [ServerException] with `NO_INTERNET_CONNECTION` error
//   /// code device is not connected to the internet
//   ///
//   Future<VoidImpl> setPermission(M4ePermissionForm permissionForm) async {
//     if ((await _connectionChecker.hasConnection) ?? false) {
//       try {
//         await _permissionApi.setPermission(permissionForm);

//         return VoidImpl();
//       } catch (e) {
//         rethrow;
//       }
//     }

//     throw M4eExceptionMessages.kNoInternetConnectionException;
//   }
// }
